Redmine - Defect #4923

Impossible to reach new issue status
2010-02-24 18:38 - Bruno Prado

Status: Closed Start date: 2010-02-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 0.9.1

Description

I've created a new issue status: Acknowlodged, and configured the workflow for managers to be possible to move from any status to
any other (it means: except, obviously, from a status to itself).
Apparently, this new status is unreachable. Moving the order of them (in the list of Task Statuses) doesn't change this scenario.

History

#1 - 2010-02-24 21:55 - Jean-Philippe Lang

Can not reproduce. When you edit the workflow, make sure to uncheck 'Only display statuses that are used by this tracker' so that your new status
appears on the workflow screen.

#2 - 2010-02-25 14:50 - Jean-Philippe Lang

- Category set to Issues

#3 - 2010-02-26 18:09 - Bruno Prado
- File task_statuses.JPG added

- File workflow.JPG added

- File change_status.JPG added

Here are the steps I'v reproduced.

The figure task_status shows the new status: Acknowledged. The others are Redmine default, some with name changed.
task_statuses.JPG

The figure workflow shows all the possible moves for Manager.
workflow.JPG

| (Bruno PRADO) am system administrator and manager on this project. In the figure change_status | try to change the status from NEW to
ACKNOWLEDGED but is not allowed.
change_status

#4 - 2010-02-26 18:10 - Bruno Prado
- File change_status.JPG added

change_status.JPG

#5 - 2010-02-28 11:59 - Jean-Philippe Lang

Your example is wrong.
It shows the workflow of the 'Task' tracker but the context menu for a 'Feature'.

#6 - 2010-03-01 13:49 - Bruno Prado

You are right. Modifying the workflow for all statuses it works.
By the way, is it really necessary set the workflow for every tracker?

#7 - 2010-07-13 00:36 - Holger Just
- Status changed from New to Closed

- Resolution set to Invalid
Seems resolved. The workflow editor works as advertised.

Files

task_statuses.JPG 4.35 KB 2010-02-26 Bruno Prado
workflow.JPG 25.8 KB 2010-02-26 Bruno Prado
change_status.JPG 47.8 KB 2010-02-26 Bruno Prado
change_status.JPG 47.8 KB 2010-02-26 Bruno Prado

2025-04-04

22


http://www.tcpdf.org

